MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000840Xdebug(No Category)public2012-05-17 21:012012-05-28 09:24
Reporterlunetics 
Assigned Toderick 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
PlatformPhp 5.4.3, nginx 1.2OSFreebsd OS Version9.0 amd64
Product Version2.2.0 
Target VersionFixed in Version 
Summary0000840: Xdebug crashes when a class is returned by a __call method with a static var and more than 2 props
DescriptionExperienced the following bug while working with Symfony2. The doctrine repository got magic __call method for entity properties (e.g. findByPropery().

Only one entity couldn't be displayed in the inspect window, xdebug crashed, and that one had a static var in it.

To drill it down, as soon as a class / object with a static propery and more than 2 properties is returned, php crashes (502 bad gateway) if a breakpoint is set.
Steps To Reproduce1. execute the following 2 examples
2. ???
3. PROFIT!
Additional InformationPhpStorm 4.0
TagsNo tags attached.
Operating System
PHP Version5.4.3
Attached Files? file icon works.php [^] (407 bytes) 2012-05-17 21:01
? file icon worksnot.php [^] (403 bytes) 2012-05-17 21:02
log file icon xdbg.log [^] (6,884 bytes) 2012-05-17 21:02

- Relationships

-  Notes
(0002178)
lunetics (reporter)
2012-05-17 21:29

related to 0000824
(0002199)
derick (administrator)
2012-05-28 09:24

Fixed on github, please test and reopen if it still doesn't work. Thanks for your report!

- Issue History
Date Modified Username Field Change
2012-05-17 21:01 lunetics New Issue
2012-05-17 21:01 lunetics File Added: works.php
2012-05-17 21:02 lunetics File Added: worksnot.php
2012-05-17 21:02 lunetics File Added: xdbg.log
2012-05-17 21:29 lunetics Note Added: 0002178
2012-05-28 09:24 derick Note Added: 0002199
2012-05-28 09:24 derick Status new => closed
2012-05-28 09:24 derick Assigned To => derick
2012-05-28 09:24 derick Resolution open => fixed
2016-07-31 13:35 derick Category Debug client (console) => debugclient (debugging tool)
2016-07-31 13:35 derick Category debugclient (debugging tool) => (No Category)


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker